- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes

# Block Class Reference

Search for all occurrences

## Detailed Description

An internal helper class, representing a block of memory. Use the Store class instead.

Definition at line 20 of file array.h.

`#include <array.h>`

Inheritance diagram for Block:
[legend]

List of all members.

## Public Member Functions
const Block * | Next (void) const
unsigned int | ItemSize (void) const
const char * | Name (void) const
long long | Size (void) const
long long | Address (void) const
void | Check (void) const
## Static Public Member Functions
static const Block * | Head (void)
static void | LogAll (float fSizeFilter=0.01f, bool bSortByAddress=false)
static void | CheckAll (void)
static bool | RegisterMemoryBlock (long long iSize)
static bool | UnregisterMemoryBlock (long long iSize)
static void | SetAllocatorID (const char *pAllocatorID)
static void | CopyMemoryBlock (void *pDestination, const void *pSource, long long iSize)
## Public Attributes
const char * | m_sName
## Protected Member Functions
| Block (const char *sName, unsigned int iItemSize)
| ~Block (void)
## Protected Attributes
Block * | m_pNext
Block * | m_pPrev
unsigned int | m_iItemSize
## Static Protected Attributes
static Block * | s_pHead

## Constructor & Destructor Documentation

Block | ( | const char * | sName,
|  | unsigned int | iItemSize
| ) |  | `[inline, protected]`

Definition at line 23 of file array.h.

        {
            m_sName = sName;
            m_pNext = s_pHead;
            m_pPrev = 0;
            if ( m_pNext ) m_pNext->m_pPrev = this;
            s_pHead = this;
            m_iItemSize = iItemSize;
        };

~Block | ( | void |  | ) | `[protected]`

## Member Function Documentation

static const Block* Head | ( | void |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 39 of file array.h.

    { return s_pHead; };

const Block* Next | ( | void |  | ) | const `[inline]`

Search for all occurrences

Definition at line 40 of file array.h.

    { return m_pNext; };

unsigned int ItemSize | ( | void |  | ) | const `[inline]`

Search for all occurrences

Definition at line 41 of file array.h.

    { return m_iItemSize; };

const char* Name | ( | void |  | ) | const

Search for all occurrences

long long Size | ( | void |  | ) | const

Search for all occurrences

long long Address | ( | void |  | ) | const

Search for all occurrences

static void LogAll | ( | float | fSizeFilter = `0.01f`,
|  | bool | bSortByAddress = `false`
| ) |  | `[static]`

Search for all occurrences

void Check | ( | void |  | ) | const

Search for all occurrences

static void CheckAll | ( | void |  | ) | `[static]`

Search for all occurrences

static bool RegisterMemoryBlock | ( | long long | iSize | ) | `[static]`

Search for all occurrences

static bool UnregisterMemoryBlock | ( | long long | iSize | ) | `[static]`

Search for all occurrences

static void SetAllocatorID | ( | const char * | pAllocatorID | ) | `[static]`

Search for all occurrences

static void CopyMemoryBlock | ( | void * | pDestination,
|  | const void * | pSource,
|  | long long | iSize
| ) |  | `[static]`

Search for all occurrences

## Member Data Documentation

Block* m_pNext `[protected]`

Search for all occurrences

Definition at line 34 of file array.h.

Block * m_pPrev `[protected]`

Search for all occurrences

Definition at line 34 of file array.h.

unsigned int m_iItemSize `[protected]`

Search for all occurrences

Definition at line 35 of file array.h.

Block* s_pHead `[static, protected]`

Search for all occurrences

Definition at line 36 of file array.h.

const char* m_sName

Search for all occurrences

Definition at line 54 of file array.h.

The documentation for this class was generated from the following file:

- Mudbox/array.h

Block Block Block Block Block Block Block Block Block Block
Block Block Block Block Block Block Block Block Block Block